Bug 554177 - Shutdown & Reboot buttons missing from the GNOME "Shut Down" dialog box.
Shutdown & Reboot buttons missing from the GNOME "Shut Down" dialog box.
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-10 15:05 EST by Jason A. Smith
Modified: 2011-09-04 16:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-04 16:23:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jason A. Smith 2010-01-10 15:05:26 EST
Description of problem:

After upgrading from F11 to F12, when I select "Shut Down..." from the main GNOME menu, the dialog box that appears is missing the Shutdown & Reboot options.  I only have the Suspend, Hibernate & Cancel buttons.  Also, on the GDM login screen, the Shutdown & Reboot options do not work.  I am not sure where to classify this, so I will start with GNOME Power Manager.  I don't know if it is related, but I also see "Authorization Failed" dialogue boxes popping up several times a day while logged in.
Comment 1 Fabian Deutsch 2010-10-18 05:29:13 EDT
This problem occurs on my laptop too, but only when I set the machine in to hibernation and it comes back to live again.

Fedora 14 Beta
Comment 2 Milan Kerslager 2010-11-04 01:58:39 EDT
Confirmed on F14 gold. After higernate=resume cycle, I'm able to logoff only. The option for poweroff, reboot, suspend and hibernate are gone.
Comment 3 Milan Kerslager 2010-11-05 17:48:40 EDT
It seems, that the internal logic of this program is broken in gnome-power-manager-2.32.0-3.fc14.x86_64.

After resume from hibernation, bad thing happened. The applet in main menu does not show the possibility to poweroff or reboot, just logoff. I tried to manually check the possibility of hibernation and suspend with pm-utils and they reported that the machine is able to do so. I tried to manually hibernate by pm-hibernate command and it worked too.

Even I have "show the dialog" hooked to power button, the machine simply power off itself with no dialog popping up (after one hybernation-poweron cycle).
Comment 4 Fabian Deutsch 2011-08-31 15:28:54 EDT
This might be fixed by now.
Should we close this bug?
Comment 5 Milan Kerslager 2011-09-04 16:23:00 EDT
I don't use F14 any more. Also I don't use Gnome3. But IIRC there was similar problem that should go to a new bugreport. So closing.

Note You need to log in before you can comment on or make changes to this bug.